Why can not I run Eclipse from a terminal or run it?

Warning: 64-bit OpenJDK server virtual machine warning: ignored option MaxPermSize; support has been removed in 8.0